# CommonContactData - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.CommonAbstracts / CommonContactData

# CommonContactData

(common) `interface CommonContactData` (source)

### Properties

(common)

#### firstName

`abstract val firstName: String`

(common)

#### lastName

`abstract val lastName: String?`

(common)

#### phoneNumber

`abstract val phoneNumber: String`

(common)

#### vcard

`abstract val vcard: String?`

### Inheritors

(common)

#### Contact

`data class Contact : CommonContactData`

(common)

#### InlineQueryResultContact

`data class InlineQueryResultContact : InlineQueryResult, CommonContactData, WithInputMessageContentInlineQueryResult, ThumbedInlineQueryResult, ThumbSizedInlineQueryResult`

(common)

#### InputContactMessageContent

`data class InputContactMessageContent : CommonContactData, InputMessageContent`